package com.sky.ioc.entity.domain.organization;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

@Data
public class Department {
    @TableId(type = IdType.AUTO)
    private Integer id;
    private Integer company_id;//公司id')
    private String name;//部门名')
    private String full_name;//怕重名 部门全名')
    private String principal;//负责人')
    private String liaison_officer;//接口人')
    private Integer on_guard;//在岗人数')
    private Integer freelance_staff;//自由员工')
    private Integer cooperation_staff;//协作员工')
    private Integer thirdparty_staff;//第三方员工')
    private String censure;//职责')
    private String code;//部门编码')
    private Integer sort;//部门排序')
    private String ori_id;//部门id')
    private String parent_id;//部门上级id')
}
