package com.sky.ioc.mapper.information;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sky.ioc.entity.domain.information.StaffConfigurationStaff;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface StaffConfigurationStaffMapper extends BaseMapper<StaffConfigurationStaff> {

   @Select("select staff,max(update_time) as update_time from StaffConfigurationStaff where Configuration_id = #{configuration_id} " +
           "group by staff")
    List<StaffConfigurationStaff> getListByConfigurationId(@Param("configuration_id") Integer configuration_id);

    @Select("select  update_time from StaffConfigurationStaff where Configuration_id = #{configuration_id} " +
            "group by update")
    List<StaffConfigurationStaff> getHistoryListByConfigurationId(@Param("configuration_id") Integer configuration_id);
}
