package com.sky.ioc.service.data.impl;

import com.sky.ioc.entity.domain.data.UnderlyingSystem;
import com.sky.ioc.mapper.data.UnderlyingSystemMapper;
import com.sky.ioc.service.data.UnderlyingSystemService;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class UnderlyingSystemServiceImpl implements UnderlyingSystemService {

    @Autowired
    UnderlyingSystemMapper underlyingSystemMapper;

    @Override
    public ReturnMsg getList() {
        List<UnderlyingSystem> lists = underlyingSystemMapper.selectList(null);
        return ReturnMsg.ok(lists);
    }

    @Override
    public ReturnMsg addUnderlyingSystem(UnderlyingSystem underlyingSystem) {
        underlyingSystemMapper.insert(underlyingSystem);
        return ReturnMsg.ok();
    }
}
