package com.sky.ioc.service.information.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.sky.ioc.entity.domain.information.SecurityPerson;
import com.sky.ioc.mapper.information.SecurityPersonMapper;
import com.sky.ioc.service.information.SecurityPersonService;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SecurityPersonServiceImpl implements SecurityPersonService {

    @Autowired
    SecurityPersonMapper securityPersonMapper;

    @Override
    public ReturnMsg getListByType(Integer type) {
        List<SecurityPerson> lists = securityPersonMapper.selectList(new LambdaQueryWrapper<SecurityPerson>().eq(SecurityPerson::getType,type));
        return ReturnMsg.ok(lists);
    }
}
